/*
 * Harissa, copyright (C) Irisa/Inria 1996
 *
 * $Id: harissa_runtime.h,v 1.5 1997/11/21 15:52:16 ups Exp $
 *
 * $Log: harissa_runtime.h,v $
 * Revision 1.5  1997/11/21 15:52:16  ups
 * Imported seperate branch from ups: CC compability
 *
 * Revision 1.4  1997/10/16 13:19:33  muller
 * - change in naming objects and classes for Tempo support
 *
 * Revision 1.3  1997/05/07 13:26:20  muller
 * - version publique alpha2.2
 *
 * Revision 1.2  1996/09/18 10:44:25  muller
 * fpu support for 0x86 version
 *
 * Revision 1.1  1996/09/12 07:46:37  bellard
 * Initial revision
 *
 *
 */

#ifndef HARISSA_RUNTIME_H
#define HARISSA_RUNTIME_H

#ifdef TEMPO
#define union struct
#endif

#ifndef __GNUC__
/* GnuC apparently defines the symbol __FUNCTION__ to something */
#  define __FUNCTION__ "function"
#endif

#include <stdlib.h>
#include <stdarg.h>
#include <setjmp.h>
#include <config.h>
#include <harissa_types.h>
#include <harissa_support.h>

/* Processor dependent options */
#ifdef i386
#include <fpu_control.h>
#endif

#endif /* HARISSA_RUNTIME_H */
